REM @ECHO OFF
REM Convert and OCR all TIFF files in D:\test folder, place output PDF files to D:\downloads\out folder,
REM D:\downloads\in\*.tif ==> D:\downloads\out\*.pdf
REM Rename *.tif to *.tif.old filenames to avoid the duplicate conversions
REM Waiting for 5 seconds before launch the next conversion
REM You can change the file type, input and output folders, and other options in the following .bat file

:retry

for %%F in (D:\downloads\in\*.tif) do (
img2pdfnew.exe -ocr 1 -tsocr -ocrfontsize 6 -width 595 -height 842 "%%F" "D:\downloads\out\%%~nF.pdf"
)


REM Rename *.tif to *.tif.old filenames to avoid the duplicate conversions

for %%F in (D:\downloads\in\*.tif) do (
move "%%F" "%%~dpnxF.old"
)

ping -n 5 127.0.0.1 > nul

goto retry

